about summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2010-05-07T14·46+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2010-05-07T14·46+0000
commit83dfa898706e1faa491b3a50ea20baf60abda387 (patch)
treec498fcd4428bd53f41415b027bc9eb5f044c5e95 /tests
parent01e58adce0767f1a484d80fcbcf67c7945cbc146 (diff)
parent4750065ada362bd46e85879975a3148e18df5b0c (diff)
* Sync with the trunk.
Diffstat (limited to 'tests')
-rw-r--r--tests/lang.sh3
-rw-r--r--tests/lang/eval-okay-toxml.exp1
-rw-r--r--tests/lang/eval-okay-toxml.nix3
-rw-r--r--tests/lang/eval-okay-toxml2.exp (renamed from tests/lang/eval-okay-to-xml.exp)0
-rw-r--r--tests/lang/eval-okay-toxml2.nix (renamed from tests/lang/eval-okay-to-xml.nix)0
5 files changed, 6 insertions, 1 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index eec33734c155..fab8c6e0d7f9 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -50,7 +50,8 @@ for i in lang/eval-okay-*.nix; do
     fi
     
     if test -e lang/$i.exp.xml; then
-        if ! $nixinstantiate --eval-only --xml --strict lang/$i.nix > lang/$i.out.xml; then
+        if ! $nixinstantiate --eval-only --xml --no-location --strict \
+                lang/$i.nix > lang/$i.out.xml; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! cmp -s lang/$i.out.xml lang/$i.exp.xml; then
diff --git a/tests/lang/eval-okay-toxml.exp b/tests/lang/eval-okay-toxml.exp
new file mode 100644
index 000000000000..828220890ecd
--- /dev/null
+++ b/tests/lang/eval-okay-toxml.exp
@@ -0,0 +1 @@
+"<?xml version='1.0' encoding='utf-8'?>\n<expr>\n  <attrs>\n    <attr name=\"a\">\n      <string value=\"s\" />\n    </attr>\n  </attrs>\n</expr>\n"
diff --git a/tests/lang/eval-okay-toxml.nix b/tests/lang/eval-okay-toxml.nix
new file mode 100644
index 000000000000..068c97a6c1b3
--- /dev/null
+++ b/tests/lang/eval-okay-toxml.nix
@@ -0,0 +1,3 @@
+# Make sure the expected XML output is produced; in particular, make sure it
+# doesn't contain source location information.
+builtins.toXML { a = "s"; }
diff --git a/tests/lang/eval-okay-to-xml.exp b/tests/lang/eval-okay-toxml2.exp
index 634a841eb190..634a841eb190 100644
--- a/tests/lang/eval-okay-to-xml.exp
+++ b/tests/lang/eval-okay-toxml2.exp
diff --git a/tests/lang/eval-okay-to-xml.nix b/tests/lang/eval-okay-toxml2.nix
index ff1791b30eb5..ff1791b30eb5 100644
--- a/tests/lang/eval-okay-to-xml.nix
+++ b/tests/lang/eval-okay-toxml2.nix